#2619 closed defect (fixed)

RSB Should Support Python 2 and Python 3

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: highest Milestone: 4.11
Component: tool/rsb Version: 4.11
Severity: blocker Keywords:
Cc: Jeff Mayes Blocked By:
Blocking:

Description

If the default Python is v3, then the RSB does not work unless the user makes special effort to install Python v2. Multiple users have tripped across this.

Change History (17)

comment:1 Changed on Mar 2, 2016 at 4:22:03 AM by Chris Johns

This is also extends to rtems-tools.git. I am seeing ...

File "/opt/work/chris/rtems/rsb/rtems-source-builder.master/rtems/sources/git/rtems-tools.git/rtemstoolkit/git.py", line 212
    print g.git_version()


comment:2 Changed on Mar 3, 2016 at 5:57:52 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: newclosed

In 4001a74869c5e37443e20c3ff107f6ccf8e378f8/rtems-tools:

Update rtems-tool to support Python 2 and 3.

Add solaris and netbsd.

Close #2619.

comment:3 Changed on Mar 3, 2016 at 5:58:18 AM by Chris Johns <chrisj@…>

In b0fa2ae9981b0ccf6a66cb8df2241caa5038eb36/rtems-tools:

Update rtems-tool to support Python 2 and 3.

Add solaris and netbsd.

Close #2619.

comment:4 Changed on Mar 7, 2016 at 2:16:05 AM by Chris Johns

Resolution: fixed
Status: closedreopened

comment:5 Changed on Mar 8, 2016 at 11:30:01 AM by Chris Johns <chrisj@…>

In 334c22c12d2f60e0cd710a0fe27dd7e03795bdf9/rtems-source-builder:

sb: Add support to GDB to select a specific Python.

Detect a suitable Python version on Windows.

Update #2619.

comment:6 Changed on Mar 8, 2016 at 11:30:16 AM by Chris Johns <chrisj@…>

In 7309d94031e830543eb23c3dd70c9ca4164c59af/rtems-source-builder:

sb: Add support to GDB to select a specific Python.

Detect a suitable Python version on Windows.

Update #2619.

comment:7 Changed on Mar 9, 2016 at 3:37:37 AM by Chris Johns <chrisj@…>

In c9ed2483c6227d477b2a0380273f0051d0dcc467/rtems-tools:

Remove exception test code left in.

Updates #2619.

comment:8 Changed on Mar 9, 2016 at 3:42:49 AM by Chris Johns <chrisj@…>

In 6359063eb95f2495fb4b4ff879a02864cafc9fe9/rtems-tools:

Python 2 and python 3 refactor fixes.

Updates #2619.

comment:9 Changed on Mar 10, 2016 at 3:55:53 AM by Chris Johns <chrisj@…>

In eaab26a41fe96d8f0f940ec41cabed73760d2bd5/rtems-source-builder:

sb: Fix configparser import on Python2 in version.py.

Updates #2619.

comment:10 Changed on Mar 10, 2016 at 3:56:43 AM by Chris Johns <chrisj@…>

In 29f23e04401c8d15b46b7153887b96559b713c12/rtems-source-builder:

sb: Fix configparser import on Python2 in version.py.

Updates #2619.

comment:11 Changed on Mar 10, 2016 at 4:04:04 AM by Chris Johns <chrisj@…>

In 14392cc60e095b210768e39b6b5a0c63829d77e2/rtems-source-builder:

sb: Download's urllib_parse should point to urlparse on Python2.

Updates #2619.

comment:12 Changed on Mar 10, 2016 at 4:04:42 AM by Chris Johns <chrisj@…>

In d78a63ff1c8455c60d3cf7f22c631df146106977/rtems-source-builder:

sb: Download's urllib_parse should point to urlparse on Python2.

Updates #2619.

comment:13 Changed on Mar 10, 2016 at 4:09:53 AM by Chris Johns <chrisj@…>

In 62f76d981759545889f251bc81ebf4493ccd70e4/rtems-source-builder:

sb: Fix typo on the urlparse name in download.py

Updates #2619.

comment:14 Changed on Mar 10, 2016 at 4:12:56 AM by Chris Johns <chrisj@…>

In bce0563a79529d4c0bfe37baf1afb9c94f95fe6c/rtems-source-builder:

sb: Fix typo on the urlparse name in download.py

Updates #2619.

comment:15 Changed on Mar 11, 2016 at 5:53:11 AM by Chris Johns

Resolution: fixed
Status: reopenedclosed

Tested on FreeBSD, WIndows, and MacOS (only python2).

comment:16 Changed on Mar 16, 2016 at 10:43:53 AM by Chris Johns <chrisj@…>

In 66824e579c4af9cbfdff82f44a7d46eddaf7052e/rtems-tools:

tester: Fix reraising an exception with Python2 and Python3.

Updates #2619.

comment:17 Changed on Mar 16, 2016 at 10:44:10 AM by Chris Johns <chrisj@…>

In dfa2468af6a5b306231467a7a1e22cddb2ab576e/rtems-tools:

tester: Fix reraising an exception with Python2 and Python3.

Updates #2619.

Note: See TracTickets for help on using tickets.